/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Module.java 1872 2007-10-08 19:55:54Z benoitf $
 * --------------------------------------------------------------------------
 */

 package org.ow2.easybeans.osgi.plugins.launcher;


/**
 * Describe a Maven 2 artifact.
 * @author Florent Benoit
 */
public class Module {

    /**
     * Group Id of this module.
     */
    private String groupId;

    /**
     * Artifact id of this module.
     */
    private String artifactId;

    /**
     * Version of this module.
     * Version may be retrieved from the dependency management.
     */
    private String version;

    /**
     * Type of the archive.
     */
    private String type;


    /**
     * @return group id
     */
    public String getGroupId() {
        return groupId;
    }


    /**
     * Sets group id.
     * @param groupId given value
     */
    public void setGroupId(final String groupId) {
        this.groupId = groupId;
    }


    /**
     * @return the artifact id
     */
    public String getArtifactId() {
        return artifactId;
    }


    /**
     * Sets artifact id.
     * @param artifactId given value
     */
    public void setArtifactId(final String artifactId) {
        this.artifactId = artifactId;
    }


    /**
     * @return the version.
     */

    public String getVersion() {
        return version;
    }


    /**
     * Sets the version.
     * @param version given value
     */
    public void setVersion(final String version) {
        this.version = version;
    }


    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the type.
     * @param type the given value
     */
    public void setType(final String type) {
        this.type = type;
    }


    /**
     * @return the string representation of this module
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Module[groupId=");
        sb.append(groupId);
        sb.append(", artifactId=");
        sb.append(artifactId);
        sb.append(", type=");
        sb.append(type);
        sb.append(", version=");
        sb.append(version);
        sb.append("]");
        return sb.toString();
    }
}
